package com.tsl3060.open.extend.core.notify;

import com.alibaba.fastjson2.annotation.JSONField;

public class CarbonOrderNotify {

    /**
     * 用户OpenID
     */
    private String openid;
    /**
     * 订单号
     */
    @JSONField(name = "order_no")
    private String orderNo;
    /**
     * 低碳订单号
     */
    @JSONField(name = "carbon_no")
    private String carbonNo;

    /**
     * 用户低碳积分
     */
    @JSONField(name = "carbon")
    private int carbon;

    @JSONField(name = "carbon_value")
    private String carbonValue;
    /**
     * 本次订单新增积分
     */
    @JSONField(name = "amount")
    private int amount;

    @JSONField(name = "amount_value")
    private String amountValue;
    /**
     * 订单时间
     */
    @JSONField(name = "order_time")
    private String orderTime;
    /**
     * 低碳积分订单完成时间
     */
    @JSONField(name = "complete_time")
    private String completeTime;
    /**
     * 订单类型
     */
    private String type;

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getCarbonNo() {
        return carbonNo;
    }

    public void setCarbonNo(String carbonNo) {
        this.carbonNo = carbonNo;
    }

    /**
     * 获取用户的低碳值
     * <p>
     * 该函数会丢失精度，使用 getCarbonValue 代理
     *
     * @return
     */
    @Deprecated
    public int getCarbon() {
        return carbon;
    }

    /**
     * 设置用户的低碳值
     * <p>
     * 该函数会丢失精度，使用 setCarbonValue 代替
     *
     * @param carbon
     */
    @Deprecated
    public void setCarbon(int carbon) {
        this.carbon = carbon;
    }

    /**
     * 获取本单低碳值
     * <p>
     * 该函数会丢失精度，使用 getAmountValue代替
     *
     * @return
     */
    @Deprecated
    public int getAmount() {
        return amount;
    }

    /**
     * 设置本单低碳值
     * <p>
     * 该函数会丢失精度，使用 setAmountValue代替
     *
     * @return
     */
    @Deprecated
    public void setAmount(int amount) {
        this.amount = amount;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(String completeTime) {
        this.completeTime = completeTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setCarbonValue(String carbonValue) {
        this.carbonValue = carbonValue;
    }

    public void setAmountValue(String amountValue) {
        this.amountValue = amountValue;
    }

    /**
     * 获取用户低碳值余额，格式: 0.## ,单位 g
     *
     * @return
     */
    public String getCarbonValue() {
        return carbonValue;
    }

    /**
     * 获取本订单低碳值，格式 0.##，单位g
     *
     * @return
     */
    public String getAmountValue() {
        return amountValue;
    }

    @Override
    public String toString() {
        return "CarbonOrderNotify{" +
                "openid='" + openid + '\'' +
                ", orderNo='" + orderNo + '\'' +
                ", carbonNo='" + carbonNo + '\'' +
                ", carbon=" + carbon +
                ", carbonValue='" + carbonValue + '\'' +
                ", amount=" + amount +
                ", amountValue='" + amountValue + '\'' +
                ", orderTime='" + orderTime + '\'' +
                ", completeTime='" + completeTime + '\'' +
                ", type='" + type + '\'' +
                '}';
    }
}
