package com.tsl3060.open.extend.core.router.notify;

import com.alibaba.fastjson2.JSON;
import com.tsl3060.open.extend.core.INotifyListener;
import com.tsl3060.open.extend.core.NotifyRequest;
import com.tsl3060.open.extend.core.notify.CarbonValueNotify;
import com.tsl3060.open.extend.core.notify.IAnswer;
import com.tsl3060.open.extend.core.router.INotifyRouter;

public class CarbonValueNotifyRouter implements INotifyRouter {
    private final INotifyListener notifyListener;

    public CarbonValueNotifyRouter(INotifyListener notifyListener) {
        this.notifyListener = notifyListener;
    }

    @Override
    public String path() {
        return "/v1/wanshun/notify/carbonupdate";
    }

    @Override
    public IAnswer makeBody(NotifyRequest notifyRequest) throws Exception {
        CarbonValueNotify carbonValueNotify = JSON.to(CarbonValueNotify.class, notifyRequest.getPayload());
        return this.notifyListener.carbonUpdate(carbonValueNotify);
    }
}
